> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1publicrepositories tags



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/repositories/{org_name}/{repo_name}/tags
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/public/repositories/{org_name}/{repo_name}/tags:
    get:
      tags:
        - public_repositories
      operationId: list_public_repo_tags
      parameters:
        - name: org_name
          in: path
          description: Organization name
          required: true
          schema:
            type: string
        - name: repo_name
          in: path
          description: Repository name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of tags in public repository
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRepoTagsResponse'
        '404':
          description: Repository not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListRepoTagsResponse:
      type: object
      description: Response body for GET /api/v1/repositories/{repo_name}/tags
      required:
        - repository
        - tags
      properties:
        repository:
          type: string
          description: The repository name
        tags:
          type: array
          items:
            $ref: '#/components/schemas/RepoTagInfo'
          description: List of tags in this repository
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
    RepoTagInfo:
      type: object
      description: Tag information within a repository context
      required:
        - tag_id
        - tag_name
        - reference
        - commit_id
        - created_at
        - updated_at
      properties:
        commit_id:
          type: string
          format: uuid
          description: The commit ID this tag currently points to
        created_at:
          type: string
          format: date-time
          description: When the tag was created
        description:
          type:
            - string
            - 'null'
          description: Optional description
        reference:
          type: string
          description: Full reference in image_name:tag format
        tag_id:
          type: string
          format: uuid
          description: The tag's unique identifier
        tag_name:
          type: string
          description: The tag name
        updated_at:
          type: string
          format: date-time
          description: When the tag was last updated

````